/**
 * Capitalize the first letter of a string.
 * @param s
 */
export declare function capitalize<S extends string>(s: S): Capitalize<S>;
/**
 * Uncapitalize the first letter of a string.
 * @param s
 * @returns
 */
export declare function uncapitalize<S extends string>(s: S): Uncapitalize<S>;
/**
 * Uppercase a string (every letter capitalized).
 * @param s
 * @returns
 */
export declare function uppercase<S extends string>(s: S): Uppercase<S>;
/**
 * Lowercase every letter of a string.
 * @param s
 * @returns
 */
export declare function lowercase<S extends string>(s: S): Lowercase<S>;
//# sourceMappingURL=caps.d.ts.map