"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.oxford = void 0;
/**
 * Join items together with the oxford comma
 * @todo incorporate TS 4.1 features.
 * @param items
 */
function oxford(...items) {
    if (items.length < 2) {
        return items.join('');
    }
    else if (items.length === 2) {
        return items.join(' and ');
    }
    else {
        const [last, ...rest] = items.reverse();
        return `${rest.reverse().join(', ')}, and ${last}`;
    }
}
exports.oxford = oxford;
//# sourceMappingURL=comma.js.map