"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lowercase = exports.uppercase = exports.uncapitalize = exports.capitalize = void 0;
/**
 * Capitalize the first letter of a string.
 * @param s
 */
function capitalize(s) {
    return s.substr(0, 1).toLocaleUpperCase() + s.substr(1);
}
exports.capitalize = capitalize;
/**
 * Uncapitalize the first letter of a string.
 * @param s
 * @returns
 */
function uncapitalize(s) {
    return s.substr(0, 1).toLocaleLowerCase() + s.substr(1);
}
exports.uncapitalize = uncapitalize;
/**
 * Uppercase a string (every letter capitalized).
 * @param s
 * @returns
 */
function uppercase(s) {
    return s.toLocaleUpperCase();
}
exports.uppercase = uppercase;
/**
 * Lowercase every letter of a string.
 * @param s
 * @returns
 */
function lowercase(s) {
    return s.toLocaleUpperCase();
}
exports.lowercase = lowercase;
//# sourceMappingURL=caps.js.map